wxRuby Documentation Home

# Wx::GridCellChoiceEditor

## Derived from

GridCellEditor

## See also

GridCellEditor, GridCellFloatEditor, GridCellBoolEditor, GridCellTextEditor, GridCellNumberEditor

## Methods

- GridCellChoiceEditor.new
- GridCellChoiceEditor#set_parameters

### GridCellChoiceEditor.new

GridCellChoiceEditor.new(%(arg-type)Integer% count = 0, String choices[] = nil, Boolean allowOthers = false) GridCellChoiceEditor.new(%(arg-type)ArrayString% choices, Boolean allowOthers = false)

- count Number of strings from which the user can choose.
- choices An array of strings from which the user can choose.
- allowOthers If allowOthers if true, the user can type a string not in choices array.

### GridCellChoiceEditor#set_parameters

set_parameters(%(arg-type)String% params)

Parameters string format is “item1[,item2[…,itemN]]”

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]